Skip to main content
GET
Get a space

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

space_id
string
required

The unique space identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Response

A space object

A space is a container within an organization for grouping related projects, datasets, and experiments. Spaces enable team collaboration or isolated experimentation with role-based access control.

id
string
required

Unique identifier for the space

name
string
required

Name of the space

description
string
required

A brief description of the space's purpose

created_at
string<date-time>
required

Timestamp for when the space was created

is_private
boolean
required

Whether the space is private. Private spaces are only visible to their members and account/org/space admins.

organization_id
string

The unique identifier of the organization that contains the space. Older server versions may omit this field.

Example:

"RW50aXR5OjEyMzQ1"

default_llm_integration
object | null

The default language model integration and model for the space.

ml_models_enabled
boolean

Whether machine learning models are enabled for the space.

gradient_start_color
string

The first color in the gradient used for the space's avatar.

gradient_end_color
string

The second color in the gradient used for the space's avatar.

default_agent_runtime
object | null

The default agent runtime integration for the space.